unit uIniSync;

interface
uses
  uInifiles,
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Grids, ValEdit, ComCtrls, XPMan, MMSystem;

implementation

procedure SyncCheckbox(Ini: TInifileEx; Sender: TComponent);
begin
	with ini, TCheckBox(Sender) do
	begin
		Checked := Sync(Name, Checked);
		if Loading and Assigned(OnClick) then
			OnClick(Sender);
	end;
end;

procedure SyncCombobox(Ini: TInifileEx; Sender: TComponent);
begin
	with ini, TCombobox(Sender) do
	begin
		Text := Sync(Name, Text);
		if Loading and Assigned(OnChange) then
			OnChange(Sender);
	end;
end;

procedure SyncRadioGroup(Ini: TInifileEx; Sender: TComponent);
begin
	with ini, TRadioGroup(Sender) do
	begin
		ItemIndex := Sync(Name, ItemIndex);
		if Loading and Assigned(OnClick) then
			OnClick(Sender);
	end;
end;

initialization
	RegisterSynchronizer(TCheckBox, SyncCheckbox);
	RegisterSynchronizer(TComboBox, SyncComboBox);
	RegisterSynchronizer(TRadioGroup, SyncRadioGroup);
end.
