unit uStopWatch;

interface
uses
	Windows, Classes, SysUtils;


type
	TStopWatch = class
	private
		FStartTime: DWord;
		FTime: DWord;
	public
		// vJnBStopĂĊJB
		procedure Start;
		// StartĂ炻̎_ł̌oߎԂLAv~B
		procedure Stop;
		// ԂׂăNAAVɌvJnB
		procedure Reset;

		function Stopped: Boolean;
		function MilliSec: DWord;
	end;

var
	_stopwatch: TStopWatch;

implementation

{ TStopWatch }

function TStopWatch.MilliSec: DWord;
begin
	if FStartTime = 0  then
		Result := FTime
	else
		Result := GetTickCount - FStartTime + FTime;
end;

procedure TStopWatch.Reset;
begin
	FStartTime := GetTickCount;
	FTime := 0;
end;

procedure TStopWatch.Start;
begin
	FStartTime := GetTickCount;
end;

procedure TStopWatch.Stop;
begin
	Inc(FTime, GetTickCount - FStartTime);
	FStartTime := 0;
end;

function TStopWatch.Stopped: Boolean;
begin
	Result := FStartTime = 0;
end;

initialization
	_stopwatch := TStopWatch.Create;
finalization
	_stopwatch.Free;
end.
